﻿@model eCommerce.Services.Model.Rma
@using eCommerce.UI.Models

@{
    ViewBag.Title = "Nuevo reclamo";
}

<div class="container">

    <div class="col-xs-12 no-margin">

        <div class="billing-address">
            @if (Model.RmaId != -1)
            {
                <h2 class="border h1">Reclamo #@Model.RmaId</h2>
            }
            else
            {
                <h2 class="border h1">Nuevo Reclamo</h2>
            }
            @using (Html.BeginForm("CreateRma", "Account", FormMethod.Post, new { @id="form1", @class = "cf-style-1", @autocomplete = "off" }))
            {
                <div class="row field-row">
                    <div class="col-xs-12 col-sm-6">
                        <label>Fecha</label>
                        <input readonly type="text" class="form-control" name="Date" value="@(Model.Created != DateTime.MinValue ? Model.Created.ToShortDateString() : DateTime.Today.ToShortDateString())" data-plugin="datepicker" />
                    </div>
                    <div class="col-xs-12 col-sm-6">
                        <label>Email</label>
                        <input readonly class="form-control" name="Email" value="@User.Identity.Name">
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <div class="form-group">
                            <label for="comment">Observaciones:</label>
                            @if (Model.RmaId != -1)
                            {
                                <textarea disabled class="form-control" rows="5" id="comment" name="Observations">@Model.Observations</textarea>
                            } else
                            {
                                <textarea class="form-control" rows="3" id="comment" name="Observations">@Model.Observations</textarea> 
                            }
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-12 column margin-bottom-15">
                        <label style="text-decoration:underline;">Pasos para crear el reclamo:</label><br />
                        <label for="comment" style="margin-bottom:15px;line-height:25px;">
                            1- Ingrese el código único (SKU) de cada producto para agregarlo a su reclamo, puede agregar varios productos en un mismo reclamo.<br />
                            2- Al ingresar su código, si el artículo se encuentra en garantía, podrá ingresar la descripción de su falla.
                        </label>
                    </div>

                    <div class="col-md-12 column">
                        <table class="table table-bordered table-hover" id="tab_logic">
                            <thead>
                                <tr>
                                    <th class="text-center" width="1%" >#</th>
                                    <th class="text-center" width="13%">SKU</th>
                                    <th class="text-center" width="4%">Garantía</th>
                                    <th class="text-center" width="45%">Falla del Producto</th>
                                </tr>
                            </thead>
                            <tbody>
                                <input type="hidden" name="RmaId" id="RmaId" value="@Model.RmaId" />
                            @{int i = 1;}
                            @foreach (var item in Model.RmaItems)
                            {
                                <tr id='addr0'>
                                    <td class="text-center" style="vertical-align:middle;">@i</td>
                                    <td>
                                        <input disabled type="text" name='SKU_@i' id='SKU_@i' placeholder='SKU' class="form-control" value="@item.ProductSku" onchange="CheckWarranty(this);" />
                                    </td>
                                    <input type="hidden" name="ProductId_@i" id="ProductId_@i" value="@item.ProductId" />
                                    <input type="hidden" name="RmaItemId_@i" id="RmaItemId_@i" value="@item.RmaItemId" />
                                    <td class="text-center" style="vertical-align:middle;" id="IsInWarranty-0">
                                        <i class="icon fa-check" aria-hidden="true" data-toggle="tooltip" data-original-title="En garantía"></i>
                                    </td>
                                    <td>
                                        <input disabled type="text" name='FaultDescription_@i' id='FaultDescription_@i' placeholder='Descripción' value="@item.FaultDescription" class="form-control" />
                                    </td>
                                </tr>
                                i++;
                                <tr id='addr1'></tr>
                            }
                            @if (Model.RmaId == -1)
                            {
                                <tr id='addr0'>
                                    <td class="text-center">
                                        1
                                    </td>
                                    <td>
                                        <input type="text" name='SKU_0' id='SKU_0' placeholder='SKU' class="form-control" onchange="CheckWarranty(this);" />
                                    </td>
                                    <input type="hidden" name="ProductId_0" id="ProductId_0" value="" />
                                    <input type="hidden" name="RmaItemId_0" id="RmaItemId_0" value="-1" />
                                    <td class="text-center" style="vertical-align:middle;" id="IsInWarranty_0">
                                        <i id="Garantia_0" class="" aria-hidden="true" data-toggle="tooltip" data-original-title="Vacio"></i>
                                    </td>
                                    <td>
                                        <input disabled type="text" name='FaultDescription_0' id='FaultDescription_0' placeholder='Descripción' class="form-control" />
                                    </td>
                                </tr>
                                <tr id='addr1'></tr>
                            }
                            </tbody>
                        </table>
                    </div>
                </div>
                if (Model.RmaId == -1)
                {

                    <div class="row field-row column">
                        <a id="add_row" class="le-button pull-left">Agregar producto</a>
                        <a id='delete_row' class="le-button pull-right ">Eliminar producto</a>
                    </div>

                    <div class="col-sm-12 field-row text-center" style="margin-top:15px; margin-left:15px;">
                        <button id="grabar" class="le-button ">Grabar reclamo</button>
                    </div>
                }
            }
        </div><!-- /.billing-address -->
    </div>
</div>
<div id="validationAlert" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Atención</h4>
            </div>
            <div class="modal-body">
                <p id="mensajeValidacion"></p>
            </div>
            <div class="modal-footer">
                <button id="btnAceptar" onclick="aceptar()" type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
                <button onclick="cancelar()" type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>
@section Scripts {
         
<script src="~/Scripts/Account/CreateRma.js"></script>

}